FilterConstants (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.api.core

## Class FilterConstants

- java.lang.Object
- - org.apache.activemq.artemis.api.core.FilterConstants

-     public final class FilterConstants
      extends Object

  Constants representing pre-defined message attributes that can be referenced in ActiveMQ Artemis core filter expressions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SimpleString` | `ACTIVEMQ_DURABLE` Name of the ActiveMQ Artemis Message durable header.
    `static SimpleString` | `ACTIVEMQ_EXPIRATION` Name of the ActiveMQ Artemis Message expiration header.
    `static SimpleString` | `ACTIVEMQ_PREFIX` All ActiveMQ Artemis headers are prepended by this prefix.
    `static SimpleString` | `ACTIVEMQ_PRIORITY` Name of the ActiveMQ Artemis Message priority header.
    `static SimpleString` | `ACTIVEMQ_SIZE` Name of the ActiveMQ Artemis Message size header.
    `static SimpleString` | `ACTIVEMQ_TIMESTAMP` Name of the ActiveMQ Artemis Message timestamp header.
    `static SimpleString` | `ACTIVEMQ_USERID` Name of the ActiveMQ Artemis UserID header.
    `static SimpleString` | `DURABLE` Value for the Durable header when the message is durable.
    `static SimpleString` | `NON_DURABLE` Value for the Durable header when the message is non-durable.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTIVEMQ_USERID

          public static final SimpleString ACTIVEMQ_USERID

      Name of the ActiveMQ Artemis UserID header.

    - #### ACTIVEMQ_EXPIRATION

          public static final SimpleString ACTIVEMQ_EXPIRATION

      Name of the ActiveMQ Artemis Message expiration header.

    - #### ACTIVEMQ_DURABLE

          public static final SimpleString ACTIVEMQ_DURABLE

      Name of the ActiveMQ Artemis Message durable header.

    - #### NON_DURABLE

          public static final SimpleString NON_DURABLE

      Value for the Durable header when the message is non-durable.

    - #### DURABLE

          public static final SimpleString DURABLE

      Value for the Durable header when the message is durable.

    - #### ACTIVEMQ_TIMESTAMP

          public static final SimpleString ACTIVEMQ_TIMESTAMP

      Name of the ActiveMQ Artemis Message timestamp header.

    - #### ACTIVEMQ_PRIORITY

          public static final SimpleString ACTIVEMQ_PRIORITY

      Name of the ActiveMQ Artemis Message priority header.

    - #### ACTIVEMQ_SIZE

          public static final SimpleString ACTIVEMQ_SIZE

      Name of the ActiveMQ Artemis Message size header.

    - #### ACTIVEMQ_PREFIX

          public static final SimpleString ACTIVEMQ_PREFIX

      All ActiveMQ Artemis headers are prepended by this prefix.

Copyright © 2015. All rights reserved.